Subject: bug#41634: 'timeout' returning 124 and 133

From: Jonny Grant <[email-masked]>
Date: Wed, 15 Jul 2020 23:59:42 +0100

On 15/06/2020 21:57, Bernhard Voelker wrote:
> Hi Jonny,
> 
> On 2020-06-07 18:04, Jonny Grant wrote:
>> Hi Berny
>>
>> Sorry I was meaning to give an example of a shell command to send KILL, but maybe it's not necessary.
>>
>> BTW, I saw the patch was applied. Great it's improved
>>
>>
>> I saw this new line is clearer:
>> "Upon timeout, send the TERM signal to COMMAND, if no other SIGNAL specified."
>>
>> However, I thought even clearer is this variation :-
>> "Upon timeout, if no SIGNAL specified by --signal, send the TERM signal to COMMAND."
> 
> IMO this is not really correct, as it states that a signal - TERM - is (only?)
> sent in the case when --signal was not used, i.e., what happens in "else"?
> It's hard to write short and precise man documentation.
> 
>> May I ask, do these texinfo changes also go into the man page?
> 
> No, at GNU coreutils (and lots of other GNU projects in general), we intend
> to have small man pages, and leave the more detailed information in the
> Texinfo manual:
>   https://www.gnu.org/prep/standards/html_node/Man-Pages.html
> 
> Actually, the coreutils man pages are generated by running the tools with --help,
> with some tiny information augmented where useful.
> 
>> This is the man page 8.32, and it doesn't match the html manual
>> https://www.man7.org/linux/man-pages/man1/timeout.1.html
> 
> The man page project collects the latest version after a release.
> 
>> I'm looking at the generated html manual:
>> https://www.gnu.org/software/coreutils/manual/coreutils.html#timeout-invocation
> 
> This belongs to the GNU coreutils project and will be updated with the
> next release.
> 
>> I don't know if these html pages can be updated to show the coreutil version on them at all at the top oand bottom?
> 
> Hmm, in the HTML format, this is the first sentence after the table of contents:
> 
>   "This manual documents version 8.32 of the GNU core utilities, ..."

Hi Berny
Just to reply on this item.

Ah ok, on the HTML page that is still 12 pages after the first page. It would be nice to see it below the title? Before the TOC.
https://www.gnu.org/software/coreutils/manual/coreutils.html

I didn't search through for the version number, I missed it, as it wasn't at the top, or at the end.

Cheers, Jonny